## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanElemEmptyAllocator Class Reference

List of all members.

## Public Types

- typedef ElemEmpty data_type
- typedef ReusableArenaAllocator<
  data_type > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XalanElemEmptyAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XalanElemEmptyAllocator ()
- data_type * create (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, int lineNumber, int columnNumber, const XalanDOMString *elementName=0)
    Construct an instance.
- data_type * create (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const XalanDOMString *elementName=0)
    Construct an instance.
- bool destroy (data_type *theObject)
    Destroy an instance previously created.
- bool ownsObject (const data_type *theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all objects from the allocator.
- size_type getBlockCount () const
    Get the number of ArenaBlocks currently allocated.
- size_type getBlockSize () const
    Get size of an ArenaBlock, that is, the number of objects in each block.

## Member Typedef Documentation

typedef ReusableArenaAllocator<data_type> XalanElemEmptyAllocator::ArenaAllocatorType

typedef ElemEmpty XalanElemEmptyAllocator::data_type

typedef ArenaAllocatorType::size_type XalanElemEmptyAllocator::size_type

## Constructor & Destructor Documentation

XalanElemEmptyAllocator::XalanElemEmptyAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XalanElemEmptyAllocator::~XalanElemEmptyAllocator | ( |  | ) |

## Member Function Documentation

data_type* XalanElemEmptyAllocator::create | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | const XalanDOMString * | elementName = 0
| ) |

Construct an instance.

Parameters:

  constructionContext | The current construction context
  stylesheetTree | The stylesheet containing element
  elementName | The name of element. Can be 0.

data_type* XalanElemEmptyAllocator::create | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | int | lineNumber,
|  | int | columnNumber,
|  | const XalanDOMString * | elementName = 0
| ) |

Construct an instance.

Parameters:

  constructionContext | The current construction context
  stylesheetTree | The stylesheet containing element
  lineNumber | The line number in the document
  columnNumber | The column number in the document
  elementName | The name of element. Can be 0.

Returns:
  A pointer to the new instance.

bool XalanElemEmptyAllocator::destroy | ( | data_type * | theObject | ) |

Destroy an instance previously created.

Parameters:

  theObject | A pointer to the instance to destroy.

Returns:
  true if the instance was destroyed, false if not.

size_type XalanElemEmptyAllocator::getBlockCount | ( |  | ) | const

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

size_type XalanElemEmptyAllocator::getBlockSize | ( |  | ) | const

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

bool XalanElemEmptyAllocator::ownsObject | ( | const data_type * | theObject | ) |

| Determine if an object is owned by the allocator...

void XalanElemEmptyAllocator::reset | ( |  | ) |

| Delete all objects from the allocator.

The documentation for this class was generated from the following file:

- XalanElemEmptyAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.